from classifier import  *


class Student(object):
    def __init__(self, public_x, noisy_y, options={'bs': 8}):
        x, y = torch.Tensor(public_x), torch.tensor(noisy_y)
        data = TensorDataset(x, y)
        train_loader = DataLoader(data, batch_size=options['bs'])
        self.student = CLF(train_loader)
        self.is_trained = False

    def train(self, options):
        self.student.fit(options)
        self.is_trained = True